Bug 364811 - evince hangs on pdf document generated by OO.o
evince hangs on pdf document generated by OO.o
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 17:58 EDT by ritz
Modified: 2013-04-02 00:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:28:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case (520.08 KB, application/octet-stream)
2007-11-02 17:58 EDT, ritz
no flags Details

  None (edit)
Description ritz 2007-11-02 17:58:49 EDT
Description of problem:
evince hangs and crashes on opening page 14 for a pdf document generated by OO.o

Version-Release number of selected component (if applicable):
evince-2.20.1-1.fc8
poppler-0.6-2.fc8

How reproducible:
always

Steps to Reproduce:
1. Open the document
2. Switch to page 14
  
Actual results:
Evince hangs and dies

Expected results:
Evince should display the document

Additional info:
Works fine with adobe acrobat reader.
Comment 1 ritz 2007-11-02 17:58:49 EDT
Created attachment 247111 [details]
Test case
Comment 2 ritz 2007-11-02 18:02:27 EDT
Seems to be a bug with poppler

strace of evince says not much
select(4, [3], [], NULL, NULL)          = 1 (in [3])
read(3,
"\1\30#\3\0\1\0\0\0\0\0\0\210\0@\0040\0\0\10\2\0\0\0\210\27I\v\1\0\0\0"...,
4096) = 1056
read(3, 0x9286080, 4096)                = -1 EAGAIN (Resource temporarily
unavailable)
futex(0x92c5b38, FUTEX_WAIT_PRIVATE, 2, NULL


backtrace of the application attached.

(gdb) thread apply all bt

Thread 3 (Thread -1210827888 (LWP 8341)):
#0  0x00854b3c in malloc () from /lib/libc.so.6
#1  0x05ee0a09 in gmalloc () from /usr/lib/libpoppler.so.2
#2  0x05ee0a80 in copyString () from /usr/lib/libpoppler.so.2
#3  0x05e7652e in Gfx8BitFont::Gfx8BitFont () from /usr/lib/libpoppler.so.2
#4  0x05e778e0 in GfxFont::makeFont () from /usr/lib/libpoppler.so.2
#5  0x05e77b8d in GfxFontDict::GfxFontDict () from /usr/lib/libpoppler.so.2
#6  0x05e65164 in GfxResources::GfxResources () from /usr/lib/libpoppler.so.2
#7  0x05e65237 in Gfx::pushResources () from /usr/lib/libpoppler.so.2
#8  0x05e69739 in Gfx::doForm1 () from /usr/lib/libpoppler.so.2
#9  0x05e6b749 in Gfx::doTilingPatternFill () from /usr/lib/libpoppler.so.2
#10 0x05e70e7c in Gfx::doPatternFill () from /usr/lib/libpoppler.so.2
#11 0x05e71091 in Gfx::opEOFill () from /usr/lib/libpoppler.so.2
#12 0x05e64603 in Gfx::execOp () from /usr/lib/libpoppler.so.2
#13 0x05e6543c in Gfx::go () from /usr/lib/libpoppler.so.2
#14 0x05e659f7 in Gfx::display () from /usr/lib/libpoppler.so.2
#15 0x05e699d1 in Gfx::doForm1 () from /usr/lib/libpoppler.so.2
#16 0x05e6a8e5 in Gfx::doForm () from /usr/lib/libpoppler.so.2
#17 0x05e6ad9d in Gfx::opXObject () from /usr/lib/libpoppler.so.2
#18 0x05e64603 in Gfx::execOp () from /usr/lib/libpoppler.so.2
#19 0x05e6543c in Gfx::go () from /usr/lib/libpoppler.so.2
#20 0x05e659f7 in Gfx::display () from /usr/lib/libpoppler.so.2
#21 0x05eab096 in Page::displaySlice () from /usr/lib/libpoppler.so.2
#22 0x002ee84d in poppler_page_render () from /usr/lib/libpoppler-glib.so.2
#23 0x0809cbdb in g_cclosure_marshal_VOID__VOID ()
#24 0x08095410 in g_cclosure_marshal_VOID__VOID ()
#25 0x0805f791 in g_cclosure_marshal_VOID__VOID ()
#26 0x0805db93 in g_cclosure_marshal_VOID__VOID ()
#27 0x0805e0fc in g_cclosure_marshal_VOID__VOID ()
#28 0x00b236df in ?? () from /lib/libglib-2.0.so.0
#29 0x0097b50b in start_thread () from /lib/libpthread.so.0
#30 0x008bcb2e in clone () from /lib/libc.so.6

Thread 2 (Thread -1208727776 (LWP 8340)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x00982119 in __lll_lock_wait () from /lib/libpthread.so.0
#2  0x0097d89e in _L_lock_88 () from /lib/libpthread.so.0
#3  0x0097d3aa in pthread_mutex_lock () from /lib/libpthread.so.0
#4  0x08095146 in g_cclosure_marshal_VOID__VOID ()
#5  0x08073d6b in g_cclosure_marshal_VOID__VOID ()
#6  0x080749ad in g_cclosure_marshal_VOID__VOID ()
...

Thread 1 (LWP 8340):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x00982119 in __lll_lock_wait () from /lib/libpthread.so.0
#2  0x0097d89e in _L_lock_88 () from /lib/libpthread.so.0
#3  0x0097d3aa in pthread_mutex_lock () from /lib/libpthread.so.0
#4  0x08095146 in g_cclosure_marshal_VOID__VOID ()
#5  0x08073d6b in g_cclosure_marshal_VOID__VOID ()
#6  0x080749ad in g_cclosure_marshal_VOID__VOID ()
...
Comment 3 ritz 2007-11-02 18:33:53 EDT
seems to be on stuck on GfxResources function

Thread 3 (Thread -1210856560 (LWP 8920)):
#0  0x05eb38c8 in FlateStream::getChar (this=0xb6103840) at Stream.cc:3955
#1  0x05e727d6 in GfxFont::readEmbFontFile (this=0xb6113780, xref=0x9b9a8b0,
len=0xb7d3b5d0) at GfxFont.cc:440
#2  0x05e77376 in Gfx8BitFont (this=0xb6113780, xref=0x9b9a8b0, tagA=0xb652f6b0
"F5", idA={num = 425, gen = 0}, nameA=0xb63fcf70, typeA=fontType1,
fontDict=0xb65980e0)
    at GfxFont.cc:648
#3  0x05e778e0 in GfxFont::makeFont (xref=0x9b9a8b0, tagA=0xb652f6b0 "F5",
idA={num = 425, gen = 0}, fontDict=0xb65980e0) at GfxFont.cc:120
#4  0x05e77b8d in GfxFontDict (this=0xb689e530, xref=0x9b9a8b0,
fontDictRef=0xb7d3b704, fontDict=0xb68cce68) at GfxFont.cc:1845
#5  0x05e65164 in GfxResources (this=0xb6885d40, xref=0x9b9a8b0,
resDict=0x9bc32a0, nextA=0x9bc39b0) at Gfx.cc:281
#6  0x05e65237 in Gfx::pushResources (this=0x9bbfeb0, resDict=0x9bc32a0) at
Gfx.cc:4230
#7  0x05e69739 in Gfx::doForm1 (this=0x9bbfeb0, str=0x9bca634,
resDict=0x9bc32a0, matrix=0xb7d3b980, bbox=0x9bca5c8, transpGroup=0, softMask=0,
blendingColorSpace=0x0, 
    isolated=0, knockout=0, alpha=0, transferFunc=0x0, backdropColor=0x0) at
Gfx.cc:3827
#8  0x05e6b749 in Gfx::doTilingPatternFill (this=0x9bbfeb0, tPat=0x9bca5b8,
stroke=0, eoFill=1) at Gfx.cc:1805
#9  0x05e70e7c in Gfx::doPatternFill (this=0x9bbfeb0, eoFill=1) at Gfx.cc:1597
#10 0x05e71091 in Gfx::opEOFill (this=0x9bbfeb0, args=0xb7d3bad4, numArgs=0) at
Gfx.cc:1492
#11 0x05e64603 in Gfx::execOp (this=0x9bbfeb0, cmd=0xb7d3bc60, args=0xb7d3bad4,
numArgs=<value optimized out>) at Gfx.cc:726
#12 0x05e6543c in Gfx::go (this=0x9bbfeb0, topLevel=0) at Gfx.cc:594
#13 0x05e659f7 in Gfx::display (this=0x9bbfeb0, obj=0xb7d3befc, topLevel=0) at
Gfx.cc:557
#14 0x05e699d1 in Gfx::doForm1 (this=0x9bbfeb0, str=0xb7d3befc, resDict=0x0,
matrix=0xb7d3bdd0, bbox=0xb7d3be00, transpGroup=0, softMask=0,
blendingColorSpace=0x0, isolated=0, 
    knockout=0, alpha=0, transferFunc=0x0, backdropColor=0x0) at Gfx.cc:3879
#15 0x05e6a8e5 in Gfx::doForm (this=0x9bbfeb0, str=0xb7d3befc) at Gfx.cc:3807
#16 0x05e6ad9d in Gfx::opXObject (this=0x9bbfeb0, args=0xb7d3bfa4, numArgs=1) at
Gfx.cc:3376
#17 0x05e64603 in Gfx::execOp (this=0x9bbfeb0, cmd=0xb7d3c130, args=0xb7d3bfa4,
numArgs=<value optimized out>) at Gfx.cc:726
#18 0x05e6543c in Gfx::go (this=0x9bbfeb0, topLevel=1) at Gfx.cc:594
#19 0x05e659f7 in Gfx::display (this=0x9bbfeb0, obj=0xb7d3c1a0, topLevel=1) at
Gfx.cc:557
#20 0x05ea91b1 in Page::display (this=0x9bade98, gfx=0x9bbfeb0) at Page.cc:446
#21 0x002ee3e8 in poppler_page_get_image_mapping (page=0x9b89628) at
poppler-page.cc:1030
Comment 4 Bug Zapper 2008-04-04 10:23:29 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 ritz 2008-04-08 02:41:24 EDT
reproducible on rawhide.
Comment 6 Bug Zapper 2008-05-13 23:50:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 19:08:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 petrosyan 2009-06-10 04:31:55 EDT
this bug is still present in evince-2.26.1-1.fc11
Comment 10 Bug Zapper 2010-04-27 07:48:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 06:28:28 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.